Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® Enterprise Service 10

Reply
New Contributor
huddy
Posts: 6
Registered: ‎06-20-2012
My Device: Bold 9700 & 9900

SQL error on database upgrade from 5.0.2 to 5.0.3

I'm sure this is a common error as I see it in many google searches.  I have yet to find the corrective script in a forum or community.  When performing an enterprise server upgrade from 5.0.2. to 5.03, I receive the following error at the upgrade point of the configuration database of the install:  "an attempt to upgrade the database was unsuccessful.  An error occurred while executing an SQL statement."  Perusal of the DB_install log shows the following:

 

 COM Error 0x80040E2F - IDispatch error #3119 - Source: "Microsoft OLE DB Provider for SQL Server" - Description "Violation of PRIMARY KEY constraint 'PK_BASAuthenticationCredentials'. Cannot insert duplicate key in object 'dbo.BASAuthenticationCredentials'." Native error = 2627

 

As stated, the BB forums indicate this is a known error and to contact support for the script to delete the duplicate key.  I don't want to have to pay 249.00 for a one line script, so I'm wondering if anyone else has run across this and might have the script available? 

 

 

Please use plain text.
Guru III
knottyrope
Posts: 30,609
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook, BlackBerry Wireless Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: SQL error on database upgrade from 5.0.2 to 5.0.3

i dont know anyone with this script, might have to call support

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 12 and BES 5.0.4 with Exchange 2010 and SQL 2012 Hyper V


Please use plain text.
New Contributor
huddy
Posts: 6
Registered: ‎06-20-2012
My Device: Bold 9700 & 9900

Re: SQL error on database upgrade from 5.0.2 to 5.0.3

No worries, I figured it out.

Please use plain text.
Guru III
knottyrope
Posts: 30,609
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook, BlackBerry Wireless Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: SQL error on database upgrade from 5.0.2 to 5.0.3

oh please do tell us what you figured out

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 12 and BES 5.0.4 with Exchange 2010 and SQL 2012 Hyper V


Please use plain text.
New Contributor
huddy
Posts: 6
Registered: ‎06-20-2012
My Device: Bold 9700 & 9900

Re: SQL error on database upgrade from 5.0.2 to 5.0.3

One of the key columns in the suspect database table had a restriction on it which did not allow duplicate identifiers to be added.  Sure enough, during the database upgrade process, the record that the BB script was trying to add already had an exact, existing value.  The trick was to figure out from the script install log which record it was trying to add.

 

Once I figured out which record it was dealing with, I just opened the table and changed the record's value to something bogus, re-ran the upgrade routine and everything was golden. 

 

I'm now running BES 5.0.3 and getting read to apply sr 7.

 

Since I have your attention, let me ask a question of you.  I currently have 5 BB Bold 9700's that engage through this BES that I just upgraded.  My question is, can I apply BB device software OS version 7 to these BB Bolds, or are they too old to handle this OS?

 

Thanks.

Please use plain text.
Guru III
knottyrope
Posts: 30,609
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook, BlackBerry Wireless Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: SQL error on database upgrade from 5.0.2 to 5.0.3


huddy wrote:

One of the key columns in the suspect database table had a restriction on it which did not allow duplicate identifiers to be added.  Sure enough, during the database upgrade process, the record that the BB script was trying to add already had an exact, existing value.  The trick was to figure out from the script install log which record it was trying to add.

 

Once I figured out which record it was dealing with, I just opened the table and changed the record's value to something bogus, re-ran the upgrade routine and everything was golden. 

 

I'm now running BES 5.0.3 and getting read to apply sr 7.

 

Since I have your attention, let me ask a question of you.  I currently have 5 BB Bold 9700's that engage through this BES that I just upgraded.  My question is, can I apply BB device software OS version 7 to these BB Bolds, or are they too old to handle this OS?

 

Thanks.


9700 can only use OS 5 or 6

 

OS 7 needs the newer, faster CPU in order to work and the 9700 does not have this.

 


 

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 12 and BES 5.0.4 with Exchange 2010 and SQL 2012 Hyper V


Please use plain text.
New Contributor
huddy
Posts: 6
Registered: ‎06-20-2012
My Device: Bold 9700 & 9900

Re: SQL error on database upgrade from 5.0.2 to 5.0.3

Understood. Thanks.
Please use plain text.